CREATE TABLE IF NOT EXISTS `job_ads` (
  `job_id` int(8) unsigned NOT NULL auto_increment,
  `form_id` text default NULL,
  `title` text default NULL,
  `category` text default NULL,
  `location` text default NULL,
  `description` text default NULL,
  `apply` text default NULL,
  `company` text default NULL,
  `logo` text default NULL,
  `url` text default NULL,
  `email` text default NULL,
  `highlight` varchar(1) default NULL,
  `preview` text default NULL,
  `completed` text default NULL,
  `paypal_tran` text default NULL,
  `expired` varchar(1) default NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`job_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO job_ads VALUES (NULL, 'auto-inserted-job', 'Sample Job Title', 'Design', 'New York, NY', 'Description for job listing goes here.', 'Application information', 'Job Board Corporation', NULL, NULL, NULL, NULL, 'today', 'today', NULL, NULL, NULL);

-- USERS
CREATE TABLE web_users (
  `user_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `email` varchar(50) NOT NULL,
  `password` varchar(60) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `role_id` INT NOT NULL,
  `registered` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- sha1('password');
INSERT INTO web_users VALUES (NULL, 'admin', 'no-reply@example.com', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8', 'Super', 'User', 1, NULL);


-- ROLES
CREATE TABLE web_roles (
  `role_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `role` varchar(50) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`role_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO web_roles VALUES (NULL, 'Administrator', 'Super user that controls every aspect of site');
INSERT INTO web_roles VALUES (NULL, 'Limited', 'Limited access. Cannot change sitewide settings');


-- SETTINGS
CREATE TABLE web_settings (
  `meta` varchar(50) NOT NULL,
  `value` text NOT NULL,
  `title` text NOT NULL,
  `desc` text NOT NULL,
  `lock` varchar(1) NOT NULL,
  PRIMARY KEY  (`meta`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO web_settings VALUES ('site_name', 				'The Job Board', 														'Site Name', 								'', 'Y');
INSERT INTO web_settings VALUES ('categories', 				'Design|Developer|Network Engineer', 				'Categories', 							'pipe "|" separated list', 'Y');
INSERT INTO web_settings VALUES ('highlight_price', 	'20',										 										'Highlight Price', 					'highlighted job ad price',	'Y');
INSERT INTO web_settings VALUES ('job_duration_days', '30',  																			'Job Duration', 						'duration in days of a job ad', 'Y');
INSERT INTO web_settings VALUES ('job_price', 				'100',																			'Job Price',								'the price of a job ad post', 	'Y');
INSERT INTO web_settings VALUES ('paypal_currency', 	'USD', 																			'PayPal Currency', 					'usually USD', 'Y');
INSERT INTO web_settings VALUES ('paypal_desc', 			'Purchase of a Job Ad', 	'PayPal Description', 			'item short description', 'Y');
INSERT INTO web_settings VALUES ('paypal_email', 			'email@your-domain.com', 										'PayPal Email', 						'', 'Y');
INSERT INTO web_settings VALUES ('paypal_item_id', 		'00001', 																		'PayPal Item #', 						'can be anything', 'Y');
INSERT INTO web_settings VALUES ('rss_max_count', 		'20', 																			'RSS Count', 								'number of rss items to show', 'Y');
INSERT INTO web_settings VALUES ('site_description', 	'this job board description. Explain who your job board is for with 1 or 2 sentences.', 		'Site Description', 				'', 'Y');
INSERT INTO web_settings VALUES ('frontpage_results', 	'50', 		'Frontpage Job Ads', 				'How many job ads to display on the homepage?', 'Y');
INSERT INTO web_settings VALUES ('logo_text', 	'logo',		'Logo Text',	'text to use as your job board logo', 'Y');


