<?php
global $job_price;

$job_price = trim(str_replace('$', '', meta('job_price')));
if ($job_price == '0' || $job_price == '' ) {
	$job_price = 'FREE';
} else {
	$job_price = '$'.$job_price;
}


$job_duration = trim(meta('job_duration_days'));
if ($job_price == '0' || $job_price == '' ) {
	$job_duration = '';
} else {
	$job_duration = $job_duration.' day';	
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head> 
	<title><?php echo $title; ?></title> 
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="description" content="<?php echo meta('meta-description'); ?>" /> 
	<meta name="keywords" content="<?php echo meta('meta-keywords'); ?>" /> 
	<meta name="robots" content="index, follow" /> 
	
	<!-- Stylesheets -->
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>assets/css/style.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>assets/css/print.css" media="print" /> 
	<!--[if lte IE 8]><link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>assets/css/ie8.css" media="screen" /><![endif]--> 
	<!--[if lt IE 7]><link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>assets/css/ie6.css" media="screen" /><![endif]-->
	
	<!-- Base Javascript -->
	<script type="text/javascript" src="<?php echo BASE_URL; ?>assets/js/jquery.min.js"></script> 
	<script type="text/javascript" src="<?php echo BASE_URL; ?>assets/js/custom.js"></script>
	
	<?php if (get_filename() == 'post.php') { ?>
	<!-- Only show HTML editor on post.php page (where you start the job posting process) -->
	<script type="text/javascript" src="<?php echo BASE_URL; ?>assets/js/widgEditor/scripts/widgEditor.js"></script>
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>assets/js/widgEditor/css/widgEditor.css" media="screen" /> 
	<?php } ?>
	
	<!-- Extras -->
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo BASE_URL; ?>favicon.ico">
	<script type="text/javascript" src="<?php echo BASE_URL; ?>assets/js/jquery.hint.js"></script> 
	
	<!-- IE <img>:hover flicker fix --> 
	<script type="text/javascript"><!--
		try {
			document.execCommand("BackgroundImageCache", false, true);
		} catch(err) {}
		/* IE6 flicker hack from http://dean.edwards.name/my/flicker.html */
	--></script> 
	
</head> 
<body <?php page_id(); ?> >

<div id="header">
	<h1><a href="<?php echo BASE_URL; ?>"><?php echo meta('logo_text'); ?></a></h1>
	
	<?php
	if (get_filename() == 'index.php') {
		echo '<div class="desc">'.meta('site_description').'</div>';
	} elseif(get_filename() == 'post.php')  {
		echo '<div class="steps"><em>1. Post your Job</em>&nbsp;&nbsp; 2. Preview &nbsp;&nbsp;3. Publish</div>';
	} elseif(get_filename() == 'preview.php')  {
		echo '<div class="steps">1. Post your Job &nbsp;&nbsp;<em>2. Preview</em>&nbsp;&nbsp; 3. Publish</div>';
	}  elseif(get_filename() == 'purchase.php' || get_filename() == 'complete.php')  {
		echo '<div class="steps">1. Post your Job &nbsp;&nbsp;2. Preview &nbsp;&nbsp;<em>3. Publish</em></div>';
	} elseif(get_filename() == 'job.php') {
		echo '<div class="linkback"><a href="'.BASE_URL.'">Back to All Jobs &raquo;</a></div>';
	}
 ?>
	
</div>

<div class="wrapper">
	<?php display_messages(); ?>
	<div class="inner">	